package com.xhkjedu.smarking.service.report.report;

import com.xhkjedu.smarking.mapper.report.reportclass.MsrClassSubjectGradeMapper;
import com.xhkjedu.smarking.mapper.report.reportstu.MsrStudentMapper;
import com.xhkjedu.smarking.mapper.report.reportsubject.MsrSubjectMapper;
import com.xhkjedu.smarking.model.report.reportsubject.MsrSubject;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.LinkedHashMap;
import java.util.Map;

/**
 *@Description 科目报告查询服务
 *@Author ywx
 *Date 2025/1/3 14:32
 **/
@Service
public class MsrSubjectService {
    @Resource
    private MsrSubjectMapper msrSubjectMapper;
    @Resource
    private MsrStudentMapper msrStudentMapper;
    @Resource
    private MsrClassSubjectGradeMapper msrClassSubjectGradeMapper;

    /**
     * @Description 总概览
     * @Date 2025/1/3 15:49
     * @Author YWX
     * @Param [subject]
     * @Return java.util.Map
     **/
    public Map<String, Object> listSubjectForZgl(MsrSubject subject) {
        Integer examid = subject.getExamid();
        Map<String, Object> map = new LinkedHashMap<>();
        //总人数、平均分、标准差、难度、差异系数分析
        map.put("subjects", msrSubjectMapper.listSubjectForZgl(examid));
        //整体分数分布分析
        map.put("scores", msrStudentMapper.listScoreForZgl(examid,"zf"));
        //整体四率分析
        map.put("scorerates", msrClassSubjectGradeMapper.getZfScoreRate(examid));
        return map;
    }
}
